<?xml version="1.0" encoding="utf-8"?>
<configuration>
  <!--nlog日志配置-->
  <configSections>
    <section name="nlog" type="NLog.Config.ConfigSectionHandler, NLog" />
  </configSections>
  <!--NLog日志开源组件，请参照http://nlog-project.org/官方文档-->
  <nlog xmlns="http://www.nlog-project.org/schemas/NLog.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
    <!--设置文件异步写入，文件最大保存天数20天，单个日志文件最大5*1024*1024=5M,编码格式utf-8,支持多进程同时写入,日志目录"${basedir} | D:\Logs\Windows4DDiGFileRepair_${shortdate}.log"-->
    <targets async="true">
      <target name="debugger" xsi:type="Debugger" layout="${date:format=HH\:mm\:ss.fff}: ${message}" />
      <target name="error_file" xsi:type="File" fileName="${basedir}\Logs\${shortdate}.log" archiveFileName="${basedir}\Logs\${shortdate}.{###}.log" keepFileOpen="true" archiveAboveSize="5242880" archiveNumbering="Sequence" encoding="utf-8" maxArchiveDays="7" maxArchiveFiles="8" concurrentWrites="true" cleanupFileName="false" layout="${date:format=HH\:mm\:ss\:fff} | ${level:uppercase=false} ${newline} ${message} ${onexception:${exception:format=tostring} ${newline} ${stacktrace} ${newline}" />
    </targets>
    <rules>
      <logger name="*" minlevel="Debug" writeTo="debugger" />
      <logger name="*" minlevel="Info" writeTo="error_file" />
    </rules>
  </nlog>
  <!--客户端配置-->
  <appSettings>
    <add key="ComputerVersion" value="7592d051-dc40-4dc2-87b6-f660b6eb0132" />
    <add key="DownloadConfigUrl" value="https://download.tenorshare.com/downloads/extra/" />
    <add key="PEDownloadConfigUrl" value="https://download.tenorshare.com/downloads/extra/4ddig_partition_manager/winpe_partitionmanager.json" />
    <add key="IsPEStart" value="False" />
    <add key="ClientSettingsProvider.ServiceUri" value="" />
    <add key="IsRestart" value="False" />
  </appSettings>
  <!--web请求配置-->
  <!--web请求配置-->
  <system.net>
    <settings>
      <httpWebRequest useUnsafeHeaderParsing="true" />
    </settings>
  </system.net>
  <runtime>
    <enforceFIPSPolicy enabled="false" />
    <legacyUnhandledExceptionPolicy enabled="1" />
    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <dependentAssembly>
        <assemblyIdentity name="System.Buffers" publicKeyToken="cc7b13ffcd2ddd51" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.0.3.0" newVersion="4.0.3.0" />
      </dependentAssembly>
    </assemblyBinding>
  </runtime>
  <startup>
    <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.5" />
  </startup>
  <system.web>
    <membership defaultProvider="ClientAuthenticationMembershipProvider">
      <providers>
        <add name="ClientAuthenticationMembershipProvider" type="System.Web.ClientServices.Providers.ClientFormsAuthenticationMembershipProvider, System.Web.Extensions, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" serviceUri="" />
      </providers>
    </membership>
    <roleManager defaultProvider="ClientRoleProvider" enabled="true">
      <providers>
        <add name="ClientRoleProvider" type="System.Web.ClientServices.Providers.ClientRoleProvider, System.Web.Extensions, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" serviceUri="" cacheTimeout="86400" />
      </providers>
    </roleManager>
  </system.web>
</configuration>